Bug 1038548 - sddm-greeter after login not closing
Summary: sddm-greeter after login not closing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 20
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-05 10:20 UTC by Igor Gnatenko
Modified: 2014-10-07 09:28 UTC (History)
8 users (show)

Fixed In Version: sddm-0.2.0-0.31.20140627gitf49c2c79.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-30 10:30:03 UTC


Attachments (Terms of Use)
screen from desktop (1.05 MB, image/png)
2013-12-05 10:20 UTC, Igor Gnatenko
no flags Details

Description Igor Gnatenko 2013-12-05 10:20:04 UTC
Created attachment 833069 [details]
screen from desktop

Version-Release number of selected component (if applicable):
latest SDDM

How reproducible:
99%

Steps to Reproduce:
1. start f20
2. login w/ sddm to kde

Actual results:
On desktop present sddm-greeter

Expected results:
Desktop is clean

Additional info:
see screen for details

Comment 1 James Abtahi 2013-12-10 15:54:52 UTC
I'm experincing this problem too on f20 (fully upgraded) with kde. The problem is far more severe for me however, many times the login screen simply doesn't work. I have to switch to another virtual terminal and use init 6 to restart the system and try again.

When I'm lucky and I can login to f20, the sddm-greeter window still appears in the taskbar. You can close it but there is another deadly problem: 

The /usr/bin/sddm is consuming 100% of CPU power and making my whole system sluggish. If I try to kill it, it log out of my system. This is obviously a serious bug in sddm and needs to be fixed as soon as possible. 

It's such a shame that we are approaching f20 release date yet this bug has got no attention whatsoever.

Comment 2 James Abtahi 2013-12-10 17:51:45 UTC
Just found out that this problem can be solved by switching to KDM. sddm is buggy and useless.

Comment 3 Kevin Kofler 2013-12-10 18:50:39 UTC
> Just found out that this problem can be solved by switching to KDM.

And that is what we did for the Fedora 20 release, which is why these SDDM bugs are not being treated as blockers.

Only users who installed a prerelease of Fedora 20 and upgraded to the final will be stuck with SDDM by default, they can switch to KDM manually. Both fresh installations of Fedora 20 and upgrades from earlier Fedora releases will default to KDM. (For upgrades, unless of course you switched to a different display manager before upgrading, then that one will be kept by the upgrade.)

Comment 4 Fedora Update System 2014-06-25 11:08:44 UTC
sddm-0.2.0-0.29.20140623gitdb1d7381.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc20

Comment 5 Fedora Update System 2014-06-25 11:12:52 UTC
sddm-0.2.0-0.29.20140623gitdb1d7381.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc19

Comment 6 Fedora Update System 2014-06-26 01:56:46 UTC
Package sddm-0.2.0-0.29.20140623gitdb1d7381.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.2.0-0.29.20140623gitdb1d7381.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7749/sddm-0.2.0-0.29.20140623gitdb1d7381.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-06-30 10:30:03 UTC
sddm-0.2.0-0.31.20140627gitf49c2c79.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-10-07 09:28:43 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc19


Note You need to log in before you can comment on or make changes to this bug.